EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ApiKeys_CreateOrUpdateApiKey',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'ApiKey_Id',
    /* Description_Text        */ 'Creates or updates the specified API key.'
GO

IF OBJECT_ID('[ApiKeys_CreateOrUpdateApiKey]') IS NOT NULL DROP PROCEDURE [ApiKeys_CreateOrUpdateApiKey]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ApiKeys_CreateOrUpdateApiKey]
(
    @ApiKey_Text VARCHAR(50),
    @ApiKey_Description NVARCHAR(MAX),
    @ApiKey_Configuration XML,
    @ApiKey_Id INT = NULL OUT
)
AS
BEGIN

	SET NOCOUNT ON

    IF NOT EXISTS(SELECT * FROM [ApiKeys] WHERE [ApiKey_Id] = @ApiKey_Id)
    BEGIN
        
        INSERT INTO [ApiKeys] 
        (
            [ApiKey_Text]
           ,[ApiKey_Description] 
           ,[ApiKey_Configuration]
        )
        VALUES 
        (
            @ApiKey_Text
           ,NULLIF(@ApiKey_Description, '')
           ,@ApiKey_Configuration
        )

        SET @ApiKey_Id = SCOPE_IDENTITY()

    END
    ELSE
    BEGIN

	    UPDATE [ApiKeys]
           SET [ApiKey_Text] = @ApiKey_Text,
               [ApiKey_Description] = NULLIF(@ApiKey_Description, ''),
               [ApiKey_Configuration] = @ApiKey_Configuration 
         WHERE [ApiKey_Id] = @ApiKey_Id

     END

END
GO

GRANT EXECUTE ON [ApiKeys_CreateOrUpdateApiKey] TO [ProGetUser_Role]