EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Dashboards_GetLargestPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DashboardPackages_Largest',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets information about the largest packages in a feed.'
GO

IF OBJECT_ID('[Dashboards_GetLargestPackages]') IS NOT NULL DROP PROCEDURE [Dashboards_GetLargestPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Dashboards_GetLargestPackages]
(
	@Feed_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
      FROM [DashboardPackages_Largest]
	 WHERE [Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [Dashboards_GetLargestPackages] TO [ProGetUser_Role]
GO