EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_DeleteImage',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes an image.'
GO

IF OBJECT_ID('[DockerImages_DeleteImage]') IS NOT NULL DROP PROCEDURE [DockerImages_DeleteImage]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_DeleteImage]
(
	@Feed_Id INT,
	@Repository_Name VARCHAR(255),
	@Image_Digest VARCHAR(128)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE
	  FROM [DockerImages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Repository_Name] = @Repository_Name
	   AND [Image_Digest] = @Image_Digest

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [DockerImages_DeleteImage] TO [ProGetUser_Role]
GO