EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NpmConnectors_GetPackageCount',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Packages_Count',
    /* Description_Text        */ 'Gets the number of indexed packages in an npm connector.'
GO

IF OBJECT_ID('[NpmConnectors_GetPackageCount]') IS NOT NULL DROP PROCEDURE [NpmConnectors_GetPackageCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NpmConnectors_GetPackageCount]
(
	@Connector_Id INT,
	@Packages_Count INT = NULL OUT
)
AS BEGIN

	SET NOCOUNT ON

	SELECT @Packages_Count = COUNT(*)
	  FROM [NpmConnectorPackages]
	 WHERE [Connector_Id] = @Connector_Id

END
GO

GRANT EXECUTE ON [NpmConnectors_GetPackageCount] TO [ProGetUser_Role]
GO
